Gecode::Search::Seq::Dead< Tracer > Class Template Reference

A dead engine (failed root). More...

## Public Member Functions

| Dead (const Options &o, const Statistics &stat0)
| Initialize.
virtual Space * | next (void)
| Return next solution (NULL, if none exists or search has been stopped).
virtual Statistics | statistics (void) const
| Return statistics.
virtual bool | stopped (void) const
| Check whether engine has been stopped.
virtual | ~Dead (void)
| Delete.
Public Member Functions inherited from Gecode::Search::Engine
virtual void | constrain (const Space &b)
| Constrain future solutions to be better than b (raises exception).
virtual void | reset (Space *s)
| Reset engine to restart at space s (does nothing).
virtual NoGoods & | nogoods (void)
| Return no-goods (the no-goods are empty).
virtual | ~Engine (void)
| Destructor.

## Protected Attributes

Tracer | tracer
| Search tracer.
Statistics | stat
| Statistics.

## Additional Inherited Members

Static Public Member Functions inherited from Gecode::HeapAllocated
static void * | operator new (size_t s)
| Memory management.
static void | operator delete (void *p)
| Free memory allocated from heap.

## Detailed Description

template<class Tracer>
class Gecode::Search::Seq::Dead< Tracer >

A dead engine (failed root).

Definition at line 40 of file dead.cpp.

## Constructor & Destructor Documentation

## Dead()

template<class Tracer>

Gecode::Search::Seq::Dead< Tracer >::Dead | ( | const Options & | o,
|  | const Statistics & | stat0 )

Initialize.

Definition at line 60 of file dead.cpp.

## ~Dead()

template<class Tracer>

Gecode::Search::Seq::Dead< Tracer >::~Dead | ( | void |  | ) |

virtual

Delete.

Definition at line 85 of file dead.cpp.

## Member Function Documentation

## next()

template<class Tracer>

Space * Gecode::Search::Seq::Dead< Tracer >::next | ( | void |  | ) |

virtual

Return next solution (NULL, if none exists or search has been stopped).

Implements Gecode::Search::Engine.

Definition at line 68 of file dead.cpp.

## statistics()

template<class Tracer>

Statistics Gecode::Search::Seq::Dead< Tracer >::statistics | ( | void |  | ) | const

virtual

Return statistics.

Implements Gecode::Search::Engine.

Definition at line 80 of file dead.cpp.

## stopped()

template<class Tracer>

bool Gecode::Search::Seq::Dead< Tracer >::stopped | ( | void |  | ) | const

virtual

Check whether engine has been stopped.

Implements Gecode::Search::Engine.

Definition at line 74 of file dead.cpp.

## Member Data Documentation

## tracer

template<class Tracer>

Tracer Gecode::Search::Seq::Dead< Tracer >::tracer

protected

Search tracer.

Definition at line 43 of file dead.cpp.

## stat

template<class Tracer>

Statistics Gecode::Search::Seq::Dead< Tracer >::stat

protected

Statistics.

Definition at line 45 of file dead.cpp.

The documentation for this class was generated from the following file:

- gecode/search/seq/dead.cpp